<?php
require_once plugin_dir_path(__FILE__) . 'taxonomy.php';
require_once plugin_dir_path(__FILE__) . 'capabilities.php';

function blog_ideas_activate() {
    add_blog_idea_default_workflow_statuses();
    assign_blog_idea_capabilities();
}

//Add Default Status
function get_blog_ideas_default_workflow_statuses() {
    $statuses = array(
        'Draft',
        'In Progress',
        'Needs Review',
		'Approved'
    );
	return apply_filters('default_blog_idea_workflow_statuses', $statuses);
}
function add_blog_idea_default_workflow_statuses() {
    $statuses = get_blog_ideas_default_workflow_statuses();
    $taxonomy = 'idea_status';

    foreach ($statuses as $status) {
        if (!term_exists($status, $taxonomy)) {
            wp_insert_term($status, $taxonomy);
        }
    }
}