<?php
function register_blog_idea_taxonomies() {
	
	//workflow status
    register_taxonomy('idea_status', 'blog_idea', array(
        'labels' => array(
            'name' => 'Idea Status',
            'singular_name' => 'Status',
            'search_items' => 'Search Statuses',
            'all_items' => 'All Statuses',
            'edit_item' => 'Edit Status',
            'add_new_item' => 'Add New Status',
        ),
        'public' => false, 
		'show_ui' => true, 
        'hierarchical' => true,
    ));
	
	//Blog topics
	register_taxonomy('idea_topic','blog_idea', array(
		'labels' => array(
			'name' => 'Idea Topic',
            'singular_name' => 'Topic',
            'search_items' => 'Search Topics',
            'all_items' => 'All Topics',
            'edit_item' => 'Edit Topic',
            'add_new_item' => 'Add New Topic',
		),
		'public' => false,
		'hierarchical' => true,
		'show_ui' => true
	));
}
add_action('init', 'register_blog_idea_taxonomies');