<?php

function show_deleted_statuses_notice() {
    $deleted_statuses = get_option('deleted_workflow_statuses', array());

    if (!empty($deleted_statuses)) {
        echo '<div class="notice notice-info is-dismissible">
                <p>The following workflow statuses were removed because they were unassigned: ' 
                . implode(', ', $deleted_statuses) . 
              '</p>
              </div>';

        delete_option('deleted_workflow_statuses'); // Clear the option after showing the notice
    }
}
add_action('admin_notices', 'show_deleted_statuses_notice');